Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 108086 - filter out sunpro-specific make output
filter out sunpro-specific make output
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: -- Other --
5.x
Sun All
: P2 (vote)
: 6.x
Assigned To: Thomas Preisler
issues@cnd
61fixes3-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-25 22:42 UTC by ivan
Modified: 2008-09-15 16:51 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ivan 2007-06-25 22:42:09 UTC
PLEASE!
Filter out stuff like this:

(/home/ivan/SunStudioProjects/6552774)test.cc:
:(/home/ivan/SunStudioProjects/6552774)test.cc

This output, which appears if SPRO_EXPAND_ERRORS is set, was
intended to provide the BuildOutputWindow with additional information for
constructing error message hyperlinks. It was never intended
for exposure to the user.
It just adds to noise and clutter.
Comment 1 Thomas Preisler 2008-07-15 01:48:49 UTC
Fixed:

changeset bfb0ac38a907 in main
details: http://hg.netbeans.org/main?cmd=changeset;node=bfb0ac38a907
description:
	108086 filter out sunpro-specific make output

Added three filters that will filter out extra output lines triggered by SPRO_EXPAND_ERRORS
Comment 2 Alexander Pepin 2008-07-18 18:34:22 UTC
Verified in build provided by Thomas on /net/danmark/export/home/thp/ceres/opt
Comment 3 rbalada 2008-07-28 17:07:15 UTC
I've transplanted the changeset http://hg.netbeans.org/main?cmd=changeset;node=bfb0ac38a907 into release61_fixes
repository as http://hg.netbeans.org/release61_fixes/rev/e3c6f7f88dfc


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo